@import "sass-essentials";

.select-style {
  position: relative;
  select {
    padding: 6px 50px 7px 18px;
    width: 100%;
    border: none;
    border-radius: 21px;
    box-shadow: none;
    background: transparent;
    background-image: none;
    -webkit-appearance: none;
    outline: none;
  }
  .icon {
    pointer-events: none;
    position: absolute;
    top: 1px;
    right: 1px;
    width: 39px;
    height: 39px;
    background-image: linear-gradient(-180deg, #666 0%, #888 100%);
    border: 2px solid #FFF;
    box-shadow: 0 0 2px 0 rgba(0,0,0,0.50);
    border-radius: 21px;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 2;
  }
  svg {
    transition: 0.2s ease all;
    width: 12px;
    transform: rotate(0deg);
  }

  &.form-item--error {
    .select2-container {
      border-color: red;
    }
  }

  .select2-container {
    height: 41px;
    border: 1px solid #D8D8D8;
    width: 100% !important; //Overriding the value set by JS.
    overflow: hidden;
    border-radius: 21px;
    background: #FFF;
    transition: border-color 0.2s ease;
    &:hover,
    &:focus,
    &.select2-container--focus {
      border-color: #4D4D4D;
    }
    &.select2-container--open {
      border-color: #4D4D4D;
      &.select2-container--below {
        border-bottom: 0;
        border-bottom-left-radius: 0;
        border-bottom-right-radius: 0;
      }
      &.select2-container--above {
        border-top-color: transparent;
        border-top-left-radius: 0;
        border-top-right-radius: 0;
      }
      ~ .icon svg {
        transform: rotate(180deg);
      }
    }
  }
}

.select2-container {
  box-sizing: border-box;
  display: inline-block;
  margin: 0;
  position: relative;
  vertical-align: middle;
  z-index: 2;

  .select2-selection--single {
    box-sizing: border-box;

    cursor: pointer;
    display: block;

    height: 40px;
    border: 1px solid #FFF;
    border-radius: 21px;

    user-select: none;
    -webkit-user-select: none;

    .select2-selection__rendered {
      display: block;
      padding: 0 49px 0 19px;
      font-size: 21px;

      overflow: hidden;
      text-overflow: ellipsis;
      white-space: nowrap;
    }

    .select2-selection__clear {
      position: relative;
    }
  }

  &.select2-container--open {
    .select2-selection--single {
      border-color: #D8D8D8;
    }
  }
  .select2-selection--multiple {
    box-sizing: border-box;

    cursor: pointer;
    display: block;

    min-height: 32px;

    user-select: none;
    -webkit-user-select: none;

    .select2-selection__rendered {
      display: inline-block;
      overflow: hidden;
      padding-left: 8px;
      text-overflow: ellipsis;
      white-space: nowrap;
    }
  }

  .select2-search--inline {
    float: left;

    .select2-search__field {
      box-sizing: border-box;
      border: none;
      font-size: 100%;
      margin-top: 5px;
      padding: 0;

      &::-webkit-search-cancel-button {
        -webkit-appearance: none;
      }
    }
  }
}

.select2-dropdown {
  background-color: #FFF;
  border:1px solid #4C4C4C;
  border-radius: 19px;
  box-sizing: border-box;
  display: block;
  position: absolute;
  left: -100000px;
  width: 100%;
  z-index: 1051;
  overflow: hidden;
}

.select2-results {
  display: block;
}

.select2-results__options {
  list-style: none;
  margin: 0;
  padding: 0;
}

.select2-results__option {
  padding: 2px 19px;
  color: #4D4D4D;
  user-select: none;
  -webkit-user-select: none;

  &[aria-selected] {
    cursor: pointer;
  }
}

.select2-container--open .select2-dropdown {
  left: 0;
}

.select2-container--open .select2-dropdown--above {
  border-bottom: none;
  border-bottom-left-radius: 0;
  border-bottom-right-radius: 0;
}

.select2-container--open .select2-dropdown--below {
  border-top: none;
  border-top-left-radius: 0;
  border-top-right-radius: 0;
}

.select2-search--dropdown {
  display: block;
  padding: 10px;
  position: relative;
  .select2-search__field {
    padding: 4px 19px;
    width: 100%;
    box-sizing: border-box;
    border-radius: 19px;


    &::-webkit-search-cancel-button {
      -webkit-appearance: none;
    }
  }

  &.select2-search--hide {
    display: none;
  }
  &:after {
    position: absolute;
    content: '';
    width: 38px;
    height: 38px;
    top: 10px;
    right: 10px;
    background-image: url('search.svg');
    background-position: 50% 50%;
    background-size: 18px;
    background-repeat: no-repeat;
  }
}

.select2-close-mask {
  border: 0;
  margin: 0;
  padding: 0;
  display: block;
  position: fixed;
  left: 0;
  top: 0;
  min-height: 100%;
  min-width: 100%;
  height: auto;
  width: auto;
  opacity: 0;
  z-index: 99;

  background-color: #fff;
  filter: alpha(opacity=0);
}

.select2-hidden-accessible {
  border: 0 !important;
  clip: rect(0 0 0 0) !important;
  height: 41px !important;
  margin: -1px !important;
  overflow: hidden !important;
  padding: 0 !important;
  position: absolute !important;
  width: 100% !important;
}

.select2-selection__arrow {
  display: none;
}

.select2-container--default {
  .select2-selection--single {
    .select2-selection__rendered {
      color: #444;
      line-height: 38px;
    }

    .select2-selection__clear {
      cursor: pointer;
      float: right;
      font-weight: bold;
    }

    .select2-selection__placeholder {
      color: #999;
    }
  }

  &.select2-container--disabled {
    .select2-selection--single {
      background-color: #eee;
      cursor: default;

      .select2-selection__clear {
        display: none;
      }
    }
  }

  .select2-selection--multiple {
    background-color: white;
    border: 1px solid #aaa;
    border-radius: 4px;
    cursor: text;

    .select2-selection__rendered {
      box-sizing: border-box;
      list-style: none;
      margin: 0;
      padding: 0 5px;
      width: 100%;

      li {
        list-style: none;
      }
    }

    .select2-selection__placeholder {
      color: #999;

      margin-top: 5px;

      float: left;
    }

    .select2-selection__clear {
      cursor: pointer;
      float: right;
      font-weight: bold;
      margin-top: 5px;
      margin-right: 10px;
    }

    .select2-selection__choice {
      background-color: #e4e4e4;

      border: 1px solid #aaa;
      border-radius: 4px;
      cursor: default;

      float: left;

      margin-right: 5px;
      margin-top: 5px;
      padding: 0 5px;
    }

    .select2-selection__choice__remove {
      color: #999;
      cursor: pointer;

      display: inline-block;
      font-weight: bold;

      margin-right: 2px;

      &:hover {
        color: #333;
      }
    }
  }

  &.select2-container--focus {
    .select2-selection--multiple {
      border-color: 1px;
      outline: 0;
    }
  }

  &.select2-container--disabled {
    .select2-selection--multiple {
      background-color: #eee;
      cursor: default;
    }

    .select2-selection__choice__remove {
      display: none;
    }
  }

  .select2-search--dropdown {
    .select2-search__field {
      border: 1px solid #D8D8D8;
    }
  }

  .select2-search--inline {
    .select2-search__field {
      background: transparent;
      border: none;
      outline: 0;
      box-shadow: none;
      -webkit-appearance: textfield;
    }
  }

  .select2-results > .select2-results__options {
    max-height: 200px;
    overflow-y: auto;
    padding: 8px 0;
  }

  .select2-results__option {
    &[role=group] {
      padding: 0;
    }

    &[aria-disabled=true] {
      color: #999;
    }

    &[aria-selected=true] {
      background-color: rgba(222,222,222,0.5);
    }

    .select2-results__option {
      padding-left: 1em;

      .select2-results__group {
        padding-left: 0;
      }

      .select2-results__option {
        margin-left: -1em;
        padding-left: 2em;

        .select2-results__option {
          margin-left: -2em;
          padding-left: 3em;

          .select2-results__option {
            margin-left: -3em;
            padding-left: 4em;

            .select2-results__option {
              margin-left: -4em;
              padding-left: 5em;

              .select2-results__option {
                margin-left: -5em;
                padding-left: 6em;
              }
            }
          }
        }
      }
    }
  }

  .select2-results__option--highlighted[aria-selected] {
    background: rgba(222,222,222,0.50);
    color: #4D4D4D;
  }

  .select2-results__group {
    cursor: default;
    display: block;
    padding: 6px;
  }
}
